> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexprice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List financial reports

> Returns the catalog of reports with their allowed shapes, dimensions and grains.



## OpenAPI

````yaml https://swagger.flexprice.io get /analytics/reports
openapi: 3.0.1
info:
  title: Flexprice API
  description: Flexprice API Service
  contact:
    name: API Support
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1.0'
servers:
  - url: https://us.api.flexprice.io/v1
    description: US Region
  - url: https://api.cloud.flexprice.io/v1
    description: India Region
security: []
paths:
  /analytics/reports:
    get:
      tags:
        - Analytics
      summary: List financial reports
      description: >-
        Returns the catalog of reports with their allowed shapes, dimensions and
        grains.
      operationId: listAnalyticsReports
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportCatalogResponse'
        '403':
          description: Reports not enabled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: go
          label: Go
          source: "package main\n\nimport(\n\t\"context\"\n\tflexprice \"github.com/flexprice/go-sdk/v2\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := flexprice.New(\n        flexprice.WithSecurity(\"<YOUR_API_KEY_HERE>\"),\n    )\n\n    res, err := s.Analytics.ListAnalyticsReports(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ReportCatalogResponse != nil {\n        // handle response\n    }\n}"
        - lang: python
          label: Python
          source: |-
            from flexprice import Flexprice


            with Flexprice(
                api_key_auth="<YOUR_API_KEY_HERE>",
            ) as f_client:

                res = f_client.analytics.list_analytics_reports()

                # Handle response
                print(res)
        - lang: typescript
          label: TypeScript
          source: |-
            import { Flexprice } from "@flexprice/sdk";

            const flexprice = new Flexprice({
              apiKeyAuth: "<YOUR_API_KEY_HERE>",
            });

            async function run() {
              const result = await flexprice.analytics.listAnalyticsReports();

              console.log(result);
            }

            run();
components:
  schemas:
    ReportCatalogResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ReportCatalogEntry'
    errors.ErrorResponse:
      type: object
      properties:
        code:
          $ref: '#/components/schemas/errors.ErrorCode'
        http_status_code:
          type: integer
        message:
          type: string
      x-speakeasy-name-override: ErrorResponse
    ReportCatalogEntry:
      type: object
      properties:
        category:
          $ref: '#/components/schemas/types.ReportCategory'
        default_shape:
          type: string
          enum:
            - timeseries
            - breakdown
            - scalar
        description:
          type: string
        dimensions:
          type: array
          items:
            $ref: '#/components/schemas/ReportDimension'
        grains:
          type: array
          items:
            type: string
            enum:
              - day
              - week
              - month
        improvement:
          $ref: '#/components/schemas/types.ImprovementDirection'
        key:
          type: string
        kind:
          $ref: '#/components/schemas/types.ReportKind'
        max_range_days:
          type: integer
        name:
          type: string
        shapes:
          type: array
          items:
            type: string
            enum:
              - timeseries
              - breakdown
              - scalar
        supports_compare:
          type: boolean
        value_type:
          $ref: '#/components/schemas/types.ReportValueType'
        variant_label:
          type: string
        variant_of:
          type: string
    errors.ErrorCode:
      type: string
      enum:
        - http_client_error
        - system_error
        - internal_error
        - not_found
        - already_exists
        - version_conflict
        - validation_error
        - invalid_operation
        - permission_denied
        - database_error
        - service_unavailable
        - too_many_requests
        - not_implemented
      x-enum-varnames:
        - ErrCodeHTTPClient
        - ErrCodeSystemError
        - ErrCodeInternalError
        - ErrCodeNotFound
        - ErrCodeAlreadyExists
        - ErrCodeVersionConflict
        - ErrCodeValidation
        - ErrCodeInvalidOperation
        - ErrCodePermissionDenied
        - ErrCodeDatabase
        - ErrCodeServiceUnavailable
        - ErrCodeTooManyRequests
        - ErrCodeNotImplemented
      x-speakeasy-name-override: ErrorCode
    types.ReportCategory:
      type: string
      enum:
        - billing
        - receivables
        - customers
        - credits
        - usage
      x-enum-varnames:
        - ReportCategoryBilling
        - ReportCategoryReceivables
        - ReportCategoryCustomers
        - ReportCategoryCredits
        - ReportCategoryUsage
      x-speakeasy-name-override: ReportCategory
    ReportDimension:
      type: object
      properties:
        key:
          type: string
        label:
          type: string
    types.ImprovementDirection:
      type: string
      enum:
        - higher
        - lower
      x-enum-varnames:
        - ImprovementHigher
        - ImprovementLower
      x-speakeasy-name-override: ImprovementDirection
    types.ReportKind:
      type: string
      enum:
        - flow
        - ratio
        - snapshot
      x-enum-varnames:
        - ReportKindFlow
        - ReportKindRatio
        - ReportKindSnapshot
      x-speakeasy-name-override: ReportKind
    types.ReportValueType:
      type: string
      enum:
        - money
        - count
        - days
      x-enum-varnames:
        - ReportValueTypeMoney
        - ReportValueTypeCount
        - ReportValueTypeDays
      x-speakeasy-name-override: ReportValueType
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Enter your API key in the format *x-api-key &lt;api-key&gt;**
      name: x-api-key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.